apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: mastodon-minio
  namespace: mastodon
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    traefik.ingress.kubernetes.io/router.priority: "20"
spec:
  ingressClassName: traefik
  tls:
    - secretName: mastodon-tls
      hosts:
        - mastodon.t0rt1k.tech
  rules:
    - host: mastodon.t0rt1k.tech
      http:
        paths:
          - path: /mastodon/
            pathType: Prefix
            backend:
              service:
                name: minio
                port:
                  number: 80
